// Fill out your copyright notice in the Description page of Project Settings.


#include "MyMessageLog/MyMapCheckActor.h"

// CheckForErrors のオーバライド
#if WITH_EDITOR
#include "CoreGlobals.h"
#include "Logging/TokenizedMessage.h"
#include "Logging/MessageLog.h"
#include "Misc/UObjectToken.h"
#include "Misc/MapErrors.h"
#endif

AMyMapCheckActor::AMyMapCheckActor()
{
	PrimaryActorTick.bCanEverTick = false;

}

#if WITH_EDITOR
void AMyMapCheckActor::CheckForErrors()
{
	Super::CheckForErrors();

	if (TestValue == 1)
	{
		FString HistoriaBlogURL;
		if (GConfig && GConfig->GetString(TEXT("historiaInc.URLs"), TEXT("HistoriaBlogURL"), HistoriaBlogURL, GEditorIni))
		{
			const FString DocsURL = TEXT("Shared/CoreUObject/UObject/UObject");
			FMessageLog MapCheck("MapCheck");
			MapCheck.Warning()
				->AddToken(FUObjectToken::Create(this))
				->AddToken(FTextToken::Create(FText::FromString(TEXT("TestValue is 1"))))
				->AddToken(FActionToken::Create(FText::FromString(TEXT("Blog")), FText::FromString(TEXT("Historia Blog")),
						   FOnActionTokenExecuted::CreateStatic([](FString InURL)->void
						   {
							   FPlatformProcess::LaunchURL(*InURL, NULL, NULL);
						   }, HistoriaBlogURL)))
				;
		}
	}
}
#endif
