// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "MyMessageLogRuntime/Public/MyMessageLogFunctionLibrary.h"

#if !(UE_BUILD_SHIPPING || UE_BUILD_TEST)
#define MYPROJECT_LOG(CategoryName, Verbosity, FileName, LineNumber, Format, ...) \
    UE_LOG(CategoryName, Verbosity, Format, ##__VA_ARGS__); \
    UMyMessageLogFunctionLibrary::OutMessageLog(ELogVerbosity::Verbosity, TEXT("PIE"), FileName, LineNumber, Format, ##__VA_ARGS__);
#else
#define MYPROJECT_LOG(...)
#endif

#define MY_LOG(CategoryName, Verbosity, Format, ...) MYPROJECT_LOG(CategoryName, Verbosity, TEXT(__FILE__), __LINE__, Format, ##__VA_ARGS__)
